%global modprobe_d_files 50-xpad.conf

Summary: Xbox/Xbox360 gamepad driver for Linux that works in userspace.
Summary(de): Xbox/Xbox360 Gamepad Treiber für Linux, der im Userspace arbeitet.
Name: xboxdrv
Version: 0.8.8
Release: %mkrel 2
Source0: http://pingus.seul.org/~grumbel/xboxdrv/%{name}-linux-%{version}.tar.xz
License: GPLv3
Group: Development/Other
Url: http://pingus.seul.org/~grumbel/xboxdrv/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source1:        xboxdrv.init
Source2:        50-xpad.conf
Source3:        %{name}.conf

Patch0:         %{name}-fix-delay.patch
# PATCH-FIX-UPSTREAM xboxdrv-scons3.patch -- Fix build with python, from https://github.com/xboxdrv/xboxdrv/pull/240
Patch1:         xboxdrv-scons3.patch
#PATCH-FIX-OPENSUSE xboxdrv-add-new-device.patch malcolmlewis@opensuse.org -- Add new wireless controller device (0x02a9, "Microsoft X-Box pad v? (?)).
Patch2:         xboxdrv-add-new-device.patch
# PATCH-FIX-UPSTREAM xboxdrv-scons-4.2.patch dimstar@opensuse.org -- Fix build with SCons 4.2; patch taken from Arch
Patch3:         xboxdrv-scons-4.2.patch

BuildRequires: lib64usb1.0-devel
BuildRequires: scons
BuildRequires: lib64udev0-devel
BuildRequires: lib64boost-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64glib2.0-devel

%description
This is a Xbox/Xbox360 gamepad driver for Linux that works in userspace. It 
is an alternative to the xpad kernel driver and has support for Xbox1 gamepads, 
Xbox360 USB gamepads and Xbox360 wireless gamepads, both first and third party. 
The Xbox360 guitar and some Xbox1 dancemats might work too. The Xbox 360 racing 
wheel is not supported, but shouldn't be to hard to add if somebody is interested. 

%description -l de
Dies ist ein Xbox/Xbox360 Gamepad Treiber für Linux, der im Userspace arbeitet. Er 
ist eine Alternative zum xpad Kerneltreiber und unterstützt Xbox1 Gamepads, Xbox360 
USB Gamepads und Xbox360 Wireless Gamepads, beides vom Originalhersteller und von 
Dritten. Die Xbox360 Gitarre und einige Xbox1 Tanzmatten könnten ebenso funktionieren. 
Das Xbox360 Rennlenkrad wird nicht unterstützt, aber es sollte nicht so schwer sein die 
Unterstützung für interessierte hinzuzufügen.

%prep
%setup -q -n %{name}-linux-%{version}
%apply_patches

%build
export PREFIX=/usr
%scons %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PREFIX=/usr

install -c -D -m 0750 %{SOURCE1} %{buildroot}%{_initrddir}/xboxdrv
install -c -D -m 0644 %{SOURCE2} %{buildroot}/etc/modprobe.d/50-xpad.conf
install -Dpm 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service xboxdrv

%preun
%_preun_service xboxdrv
for _f in %{?modprobe_d_files}; do
    [ ! -f "/etc/modprobe.d/${_f}.rpmsave" ] || \
        mv -f "/etc/modprobe.d/${_f}.rpmsave" "/etc/modprobe.d/${_f}.rpmsave.old" || :
done

%files
%defattr(-,root,root)
%{_bindir}/%{name}*
/etc/modprobe.d/50-xpad.conf
%{_mandir}/man1/%{name}.1.bz2
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/%{name}.conf


%changelog
* Tue Jan 03 2023 yodelu 0.8.8-2pclos2023
- rebuild 
- fix init script

* Fri Mar 03 2017 pp <pp> 0.8.8-1pclos2017
- update
- updated BR

* Sat Dec 07 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 0.8.5-1pclos2013
- 0.8.5
- initial package for pclos
